write-host "Please wait..."
$ConfirmPreference="None"
$msextrn="MSExchangeTransport"
$taname="Resolvac_DEMO"
$resmsg=""
$curpath=Convert-Path (Get-Location -PSProvider FileSystem)
$assemblypath=$curpath+"\Resolvac.dll"
$tafactory="ResolvacAgents.ResolvacFactory"

$cf=Get-TransportAgent $taname
if ($cf -ne $null) 
{
  Uninstall-TransportAgent -Identity $taname
  $cf=Get-TransportAgent $taname
}

if ($cf -ne $null) 
{
  $resmsg="The previous version of '$taname' is not uninstalled by unknown reason."
}
else
{
  Install-TransportAgent -Name $taname -TransportAgentFactory $tafactory -AssemblyPath $assemblypath
  Enable-TransportAgent -Identity $taname
  $cf=Get-TransportAgent $taname
  if ($cf -ne $null) 
  {
    $resmsg="Transport agent '$taname' is installed successfully."
    Restart-Service $msextrn
  }
  else
  {
    $resmsg="Transport agent '$taname' is not installed by unknown reason."
  }
}
Clear-Host
write-host $resmsg

# SIG # Begin signature block
# MIIO5QYJKoZIhvcNAQcCoIIO1jCCDtICAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUoN1chi42L9q/Gr/oqdNSE7AN
# EgKgggnCMIIEkzCCA3ugAwIBAgIQR4qO+1nh2D8M4ULSoocHvjANBgkqhkiG9w0B
# AQUFADCBlTELMAkGA1UEBhMCVVMxCzAJBgNVBAgTAlVUMRcwFQYDVQQHEw5TYWx0
# IExha2UgQ2l0eTEeMBwGA1UEChMVVGhlIFVTRVJUUlVTVCBOZXR3b3JrMSEwHwYD
# VQQLExhodHRwOi8vd3d3LnVzZXJ0cnVzdC5jb20xHTAbBgNVBAMTFFVUTi1VU0VS
# Rmlyc3QtT2JqZWN0MB4XDTEwMDUxMDAwMDAwMFoXDTE1MDUxMDIzNTk1OVowfjEL
# MAkGA1UEBhMCR0IxGzAZBgNVBAgTEkdyZWF0ZXIgTWFuY2hlc3RlcjEQMA4GA1UE
# BxMHU2FsZm9yZDEaMBgGA1UEChMRQ09NT0RPIENBIExpbWl0ZWQxJDAiBgNVBAMT
# G0NPTU9ETyBUaW1lIFN0YW1waW5nIFNpZ25lcjCCASIwDQYJKoZIhvcNAQEBBQAD
# ggEPADCCAQoCggEBALw1oDZwIoERw7KDudMoxjbNJWupe7Ic9ptRnO819O0Ijl44
# CPh3PApC4PNw3KPXyvVMC8//IpwKfmjWCaIqhHumnbSpwTPi7x8XSMo6zUbmxap3
# veN3mvpHU0AoWUOT8aSB6u+AtU+nCM66brzKdgyXZFmGJLs9gpCoVbGS06CnBayf
# UyUIEEeZzZjeaOW0UHijrwHMWUNY5HZufqzH4p4fT7BHLcgMo0kngHWMuwaRZQ+Q
# m/S60YHIXGrsFOklCb8jFvSVRkBAIbuDlv2GH3rIDRCOovgZB1h/n703AmDypOmd
# RD8wBeSncJlRmugX8VXKsmGJZUanavJYRn6qoAcCAwEAAaOB9DCB8TAfBgNVHSME
# GDAWgBTa7WR0FJwUPKvdmam9WyhNizzJ2DAdBgNVHQ4EFgQULi2wCkRK04fAAgfO
# l31QYiD9D4MwDgYDVR0PAQH/BAQDAgbAMAwGA1UdEwEB/wQCMAAwFgYDVR0lAQH/
# BAwwCgYIKwYBBQUHAwgwQgYDVR0fBDswOTA3oDWgM4YxaHR0cDovL2NybC51c2Vy
# dHJ1c3QuY29tL1VUTi1VU0VSRmlyc3QtT2JqZWN0LmNybDA1BggrBgEFBQcBAQQp
# MCcwJQYIKwYBBQUHMAGGGWh0dHA6Ly9vY3NwLnVzZXJ0cnVzdC5jb20wDQYJKoZI
# hvcNAQEFBQADggEBAMj7Y/gLdXUsOvHyE6cttqManK0BB9M0jnfgwm6uAl1IT6TS
# IbY2/So1Q3xr34CHCxXwdjIAtM61Z6QvLyAbnFSegz8fXxSVYoIPIkEiH3Cz8/dC
# 3mxRzUv4IaybO4yx5eYoj84qivmqUk2MW3e6TVpY27tqBMxSHp3iKDcOu+cOkcf4
# 2/GBmOvNN7MOq2XTYuw6pXbrE6g1k8kuCgHswOjMPX626+LB7NMUkoJmh1Dc/VCX
# rLNKdnMGxIYROrNfQwRSb+qz0HQ2TMrxG3mEN3BjrXS5qg7zmLCGCOvb4B+MEPI5
# ZJuuTwoskopPGLWR5Y0ak18frvGm8C6X0NL2KzwwggUnMIIED6ADAgECAhEA4Ul+
# cteQ8q1ph3H1jzHHFTANBgkqhkiG9w0BAQUFADCBlTELMAkGA1UEBhMCVVMxCzAJ
# BgNVBAgTAlVUMRcwFQYDVQQHEw5TYWx0IExha2UgQ2l0eTEeMBwGA1UEChMVVGhl
# IFVTRVJUUlVTVCBOZXR3b3JrMSEwHwYDVQQLExhodHRwOi8vd3d3LnVzZXJ0cnVz
# dC5jb20xHTAbBgNVBAMTFFVUTi1VU0VSRmlyc3QtT2JqZWN0MB4XDTEwMDYwMzAw
# MDAwMFoXDTEzMDYwMjIzNTk1OVowgZoxCzAJBgNVBAYTAlJVMQ8wDQYDVQQRDAYx
# NDEwNjAxFjAUBgNVBAgMDU1vc2NvdyByZWdpb24xETAPBgNVBAcMCEtvcm9seW92
# MRcwFQYDVQQJDA5TaGtvbG5heWEgMzItMTEaMBgGA1UECgwRVmljdG9yIFQgSXZh
# bmlkemUxGjAYBgNVBAMMEVZpY3RvciBUIEl2YW5pZHplMIIBIjANBgkqhkiG9w0B
# AQEFAAOCAQ8AMIIBCgKCAQEAoC5bj4PkcG66/g7BUs0KH0kaQiweL2drTypVUDU+
# qkB1pROBKXHZEkhlH5JLtb8W+6wcMRLOT+cdRvlAercc34EWEJNnPw2UpZ2cFvpZ
# ZxKnvBmdOAAkE9DWOBt2anDJG1r/hgQkvc4+oXYdlOftwf6nGyhbUl98iVgo4h4k
# 9PvNsT9F1u/8G500mKVICa4xRwP2FramsKiYywZRJo52PmJwD1JKLoBaOAO/a3Qk
# Qka0mp51DZ/bL2DETpjy5PzLxyAlyGw8JWLvpWTDwyv0GWD/w3/Re330rMsYYi+f
# hwPozutLIsrpiudgTQdNoiYzE6bOs8ITEDoICZ63uslq0wIDAQABo4IBaTCCAWUw
# HwYDVR0jBBgwFoAU2u1kdBScFDyr3ZmpvVsoTYs8ydgwHQYDVR0OBBYEFOldQVgV
# wpturT0UElSyVQubtLDyMA4GA1UdDwEB/wQEAwIHgDAMBgNVHRMBAf8EAjAAMBMG
# A1UdJQQMMAoGCCsGAQUFBwMDMBEGCWCGSAGG+EIBAQQEAwIEEDBGBgNVHSAEPzA9
# MDsGDCsGAQQBsjEBAgEDAjArMCkGCCsGAQUFBwIBFh1odHRwczovL3NlY3VyZS5j
# b21vZG8ubmV0L0NQUzBCBgNVHR8EOzA5MDegNaAzhjFodHRwOi8vY3JsLnVzZXJ0
# cnVzdC5jb20vVVROLVVTRVJGaXJzdC1PYmplY3QuY3JsMDQGCCsGAQUFBwEBBCgw
# JjAkBggrBgEFBQcwAYYYaHR0cDovL29jc3AuY29tb2RvY2EuY29tMBsGA1UdEQQU
# MBKBEGluZm9AaXZhc29mdC5jb20wDQYJKoZIhvcNAQEFBQADggEBAJu1KyY5bnXL
# myQfXy+uc39oWmr1v2hwd8FwDBIZQmLjUwHRSlQZDWlPbhlls/y949IVmU1GDhRH
# LPzJaCCu2RibNP+eZ8k3lLb3dEkAZ4BGIFaZeyCHZSmx2/oh30Yc3Um2zmv1qB9p
# yfYRdR45QsSNxx+LtXpQpvgfTxzsKbS6VWIsNhEH7TrCozqg7h6r5k05a0WGohCn
# KqR+oAd4d0gpTFCP23SY5Zq1Xkj9EjjFTlvgf86POL5ucqUjn6bPR093IppWEUGo
# fqN/3jKjjMho8Myj0JEoxWKb5sHNkdjjFodPZ8gDQZFnSsD7Y6ZTaWQfn74LXbfW
# 38y7j6eVd9gxggSNMIIEiQIBATCBqzCBlTELMAkGA1UEBhMCVVMxCzAJBgNVBAgT
# AlVUMRcwFQYDVQQHEw5TYWx0IExha2UgQ2l0eTEeMBwGA1UEChMVVGhlIFVTRVJU
# UlVTVCBOZXR3b3JrMSEwHwYDVQQLExhodHRwOi8vd3d3LnVzZXJ0cnVzdC5jb20x
# HTAbBgNVBAMTFFVUTi1VU0VSRmlyc3QtT2JqZWN0AhEA4Ul+cteQ8q1ph3H1jzHH
# FTAJBgUrDgMCGgUAoHAwEAYKKwYBBAGCNwIBDDECMAAwGQYJKoZIhvcNAQkDMQwG
# CisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUwIwYJKoZI
# hvcNAQkEMRYEFCLYMe/xNjSKR2Lcn/rKR9ML/04jMA0GCSqGSIb3DQEBAQUABIIB
# AJa6PbFRD5htPVGkpbI5zdBU+yyJW7bG/mnW8M9p9Tkdy6R2CwE2LQkAnIS8A7VP
# ANOTlVCTm/hFpPi+UlrWd4JaldQvLajo/M3/0FxNXpA4ZMyOLlJIGPHUC5T0Shxp
# HRtay4x3cEH+ouN53/3HWZdobFjwfiYdjVKIAP8HzjjAdiKiBYIHjpbsk+rTsCNY
# iaLKEUQJNbkWTTlnXFBrp73xR2FfV5DsLmtWEklMKv7jRflNI3OKSPVBwkq9/CRB
# VpT6XVi459NgDsjZvbOBGJUNY2KvfdFsJxBHolxDuZveOk/89u1gwG7ZkKW+K+n3
# xhJhTMgTOrjpQP1Bpsvj3SOhggJEMIICQAYJKoZIhvcNAQkGMYICMTCCAi0CAQEw
# gaowgZUxCzAJBgNVBAYTAlVTMQswCQYDVQQIEwJVVDEXMBUGA1UEBxMOU2FsdCBM
# YWtlIENpdHkxHjAcBgNVBAoTFVRoZSBVU0VSVFJVU1QgTmV0d29yazEhMB8GA1UE
# CxMYaHR0cDovL3d3dy51c2VydHJ1c3QuY29tMR0wGwYDVQQDExRVVE4tVVNFUkZp
# cnN0LU9iamVjdAIQR4qO+1nh2D8M4ULSoocHvjAJBgUrDgMCGgUAoF0wGAYJKoZI
# hvcNAQkDMQsGCSqGSIb3DQEHATAcBgkqhkiG9w0BCQUxDxcNMTAxMjE2MTkxMjQ4
# WjAjBgkqhkiG9w0BCQQxFgQUCnxdpQ65Bi0l2XGtiPpeufkOJ2wwDQYJKoZIhvcN
# AQEBBQAEggEAgGHyVUB2ZufpIvMgzPVb9Xufu4Mzqlgtp0Dj1K/Rxu4+SpUvBfJ5
# WpWKCK6jIHq0gI7Xz597SYrVEzVayOCC6oh63f2vNMPohCW3A9fFgGm+eDVi1ENS
# 7MiC9+eXTFS5sPh/u3Dl/hy8VS6xjnVqtetFMpHUhA5RXE2hwPYCWGp3e3lno0Ed
# iOiKZcwZxlcpgohH+BgauJepy9nUZN1fuYYgEa2F+27eqSiizja1yDbA71sjExc8
# cHx09vpE3m6jrwLxjGrmlKLqYezaR7jIb/K03wL0aIlMh+M6Z4koVJJnNGbwO2lQ
# cJPNyv+NkFeZpKZgGFwJsFQK8TRa4u6sZQ==
# SIG # End signature block
